import request from "@/utils/request";

/*
 * 分页查询
 */
export const getTaPost = (params) => request('/api/taPost', { params });

/*
 * 新增数据
 */
export const postTaPost = (data) => request('/api/taPost', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTaPostById = (id) => request(`/api/taPost/${id}`);

/*
 * 更新数据
 */
export const putTaPost = (id, data) => request(`/api/taPost/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaPost = (id) => request(`/api/taPost/${id}`, { method: 'delete' });