import request from "@/utils/request";

/*
 * 修改密码
 */
export const changePassword = (id, data) =>
  request(`/api/sysUser/${id}/change-pwd`, { data, method: "put" });

/*
 * 后台登录
 */
export const login = (data) =>
  request("/api/admin/login", { data, method: "post" });

/*
 * 登出
 */
export const logout = (data) =>
  request("/api/admin/logout", { data, method: "post" });

/**
 * 获取二维码
 */
export const qrCode = (params) => request("/api/login/qrCode", { params });

/**
 * 扫码登录
 */

export const postQrCode = (id, params) =>
  request(`/api/login/qrCode/${id}`, { params, method: "post", silent: true });

/**
* 获取当前用户信息
*/
export const currentUser = (params) => request("/api/sysUser/current", { params })