import request from "@/utils/request";

/*
 * 分页查询
 */
export const getTdCategory = (params) => request('/api/tdCategory', { params });

/*
 * 新增数据
 */
export const postTdCategory = (data) => request('/api/tdCategory', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTdCategoryById = (id) => request(`/api/tdCategory/${id}`);

/*
 * 更新数据
 */
export const putTdCategory = (id, data) => request(`/api/tdCategory/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTdCategory = (id) => request(`/api/tdCategory/${id}`, { method: 'delete' });