import { createStore } from "@zjxpcyc/react-tiny-store";
import useSystem from "./models/system";
import useUser from "./models/user";
import usePolicy from "./models/useOssPolicy";

const store = createStore({
  system: useSystem,
  user: useUser,
  // policy: usePolicy,
});

export default store
export const useModel = store.useModel
export const addModel = store.addModel
export const removeModel = store.removeModel
export const Provider = store.Provider
