
export const downladFile = (attach) => {
  const ele = document.createElement('a');
  ele.href = getRealPath(attach.attachUrl);
  ele.download = attach.attachName;
  ele.target = '_blank';
  ele.click();
}

export const previewFile = (attach) => {
  const { pathname, hash } = window.location;
  const ele = document.createElement('a');
  const searchParams = '?url=' + encodeURIComponent(getRealPath(attach.attachUrl)) + '&type=' + encodeURIComponent(attach.fileType);
  ele.href = pathname + '#/previewobj' + searchParams;
  ele.target = '_blank';
  ele.click();
}
